# Generated by Django 2.0 on 2020-08-14 13:43

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('wei', '0004_remove_bizuth_cancelled'),
    ]

    operations = [
        migrations.CreateModel(
            name='Bungalow',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nom', models.CharField(max_length=255, verbose_name='Nom du bungalow')),
                ('genre', models.CharField(choices=[('M', 'Homme'), ('W', 'Femme'), ('I', 'Indéfini/Inconnu')], max_length=1)),
                ('places', models.IntegerField(verbose_name='Nombre de places')),
            ],
        ),
        migrations.CreateModel(
            name='Bus',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nom', models.CharField(max_length=255, verbose_name='Nom du Bus')),
                ('places', models.IntegerField(verbose_name='Nombre total de places')),
            ],
        ),
        migrations.AddField(
            model_name='bizuth',
            name='autorisation_parentale_valide',
            field=models.BooleanField(default=False, verbose_name='Autorisation parentale vérifiée'),
        ),
        migrations.AddField(
            model_name='bizuth',
            name='participant',
            field=models.BooleanField(default=False, verbose_name='Inscrit sur la liste des possible participants'),
        ),
        migrations.AddField(
            model_name='bungalow',
            name='bus',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, to='wei.Bus'),
        ),
        migrations.AddField(
            model_name='bizuth',
            name='bungalow',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='bizuths', to='wei.Bungalow', verbose_name='Bungalow'),
        ),
        migrations.AddField(
            model_name='bizuth',
            name='bus',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='bizuths', to='wei.Bus', verbose_name='Bus'),
        ),
    ]
